Fugue.AWS.ELBv2.SslPolicy

Unlike ELB, ELBv2 does not support custom SSL policies. The list of currently supported policies and full details of each is maintained here:

http://docs.aws.amazon.com/elasticloadbalancing/latest/application/create-https-listener.html#describe-ssl-policies

We provide bindings for the supported policies as of 8/28/2017, but you may refer to any valid policy as they are released by AWS.

Module Members

elbSecurityPolicy-2015-05

(Value)

elbSecurityPolicy-2015-05:
  "ELBSecurityPolicy-2015-05"

The ELBSecurityPolicy-2015-05 SSL policy. Supports the TLSv1, TLSv1.1, and TLSv1.2 protocols. Identical to ELBSecurityPolicy-2016-08 policy.

elbSecurityPolicy-2016-08

(Value)

elbSecurityPolicy-2016-08:
  "ELBSecurityPolicy-2016-08"

The ELBSecurityPolicy-2016-08 SSL policy. Supports the TLSv1, TLSv1.1, and TLSv1.2 protocols. Recommended for general use.

elbSecurityPolicy-TLS-1-0-2015-04

(Value)

elbSecurityPolicy-TLS-1-0-2015-04:
  "ELBSecurityPolicy-TLS-1-0-2015-04"

The ELBSecurityPolicy-TLS-1-0-2015-04 SSL policy. Supports the TLSv1, TLSv1.1, and TLSv1.2 protocols. Should only be used for legacy clients that require the DES-CBC3-SHA cipher.

elbSecurityPolicy-TLS-1-1-2017-01

(Value)

elbSecurityPolicy-TLS-1-1-2017-01:
  "ELBSecurityPolicy-TLS-1-1-2017-01"

The ELBSecurityPolicy-TLS-1-1-2017-01 SSL policy. Supports the TLSv1.1 and TLSv1.2 protocols.

elbSecurityPolicy-TLS-1-2-2017-01

(Value)

elbSecurityPolicy-TLS-1-2-2017-01:
  "ELBSecurityPolicy-TLS-1-2-2017-01"

The ELBSecurityPolicy-TLS-1-2-2017-01 SSL policy. Supports the TLSv1.2 protocol.